-- In der aktuellen Version von "Wehrmacht 2" V1.4 habe ich auch Helden eingebaut.
-- Aus dem Anlass stelle ich es hier vor:

-- Man kann Helden auch Einheiten zuordnen, aber dann muss die unit-ID auch existieren.

-- Weil der Spieler seine Einheiten selbst bestimmt, ist die Zuordnung hier kaum mglich. 
-- Wenn man den Helden in Runde 0 erzeugt, kann der Spielr die Zuordnung noch in diesem Szenario in der Aufstellphase machen.

-- Bei feindlichen Einheiten jedoch, muss man jeweils den Helden beim Start eines Szenario zuordnen.


-- Ein Beispiel aus Spanien (1. Szenario):
-- eigener Held, ohne unit-Zuordnung
function CreateHero()
	local hero = NewHero()	-- Held anlegen
	hero.portrait = "/Game/Gui/Common/Heroes/DE_AF_galland.DE_AF_galland" 	-- Bild zuweisen
	hero.name = NSLOCTEXT("scenario_W_Baskenland", "Adolf_Galland", "Adolf Galland")	-- Namen
	hero.extra_traits = {UnitTrait.AimingAssistance, UnitTrait.FierceFighter, UnitTrait.Leadership} 	-- Bonus definieren
	local action = world:MakeNewHeroAction(0, hero) 	-- Held dem 1. Spieler zuweisen
	world:Exec(action)	-- Ausfhrung
end

-- Beispiel aus Nordafrika (wenn man dort startet):
-- feindliche Helden erzeugen und zuweisen
function CreateAndAssignHero1(unit_id)
	local hero = NewHero()
	hero.portrait = "/Game/Gui/Common/Heroes/generic_standin.generic_standin"
	hero.name = NSLOCTEXT("scenario_Libya", "Peter_Libyen10", "Hero1")
	hero.attack_modifiers = {{type = TargetType.Soft, mod = 1}, {type = TargetType.Hard, mod = 1}, {type = TargetType.Air, mod = 1}}
	local action = world:MakeNewHeroAction(1, hero)
	world:Exec(action)

	local assign_hero_action = world:MakeAssignHeroAction(world:GetUnit(unit_id), hero.id)
	world:Exec(assign_hero_action)
end

function F1()
	CreateAndAssignHero1(3) -- "3" ist die unit-ID, die den Helden erhlt
end
